/* Combinator Selectors */

/* 1. Descendant Selector (Whitespacec) */

/* div p {
    background-color: red;
}
 */

/* 
section p {
    background-color: red;
} */

/* body div {
    background-color: red;
}

form label {
    background: red;
}

body h2 {
    background-color: red; */
/* }

body .parent p {
    background-color: pink;
} */



/* 2. Child Selector ( > )*/

/* div>p {
    background-color: lightblue;
} */

/* .parent>section {
    background-color: lightblue;
} */



/* 3. Adjacent Sibling Selector ( + ) */


/* p+p {
    background-color: aqua;
} */


/* p+section {
    background-color: aquamarine;
} */

/* 
div+p+p {
    background-color: blueviolet;
} */


/* 4. General Sibling Selector ( ~ ) */

p~p {
    background-color: coral;
}